> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bvndle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Leaderboard

> This endpoint returns the details of a mission

export const EcosystemURLBlock = ({content = [], title = ""}) => {
  return <div style={{
    backgroundColor: "#6B3B900A",
    borderRadius: "8px",
    borderColor: "#F8F8F8"
  }} className="flex flex-col gap-4 border p-6">
      {title && <p className="font-bold text-2xl" style={{
    color: "#1C1C1C",
    marginBlock: "0px"
  }}>
          {title || ""}
        </p>}

      {content.length > 0 && content?.map((el, id) => <div key={id} className="flex flex-col [&>*]:my-0 gap-2">
            <div className="flex items-center justify-between [&>*]:my-0" style={{
    height: "fit-content"
  }}>
              <span className="font-bold" style={{
    color: "#1C1C1CCC",
    marginBlock: "0px"
  }}>
                {el.title}
              </span>
              <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg" onClick={async () => {
    await navigator.clipboard.writeText(el.caption);
    alert("Link copied!");
  }}>
                <path d="M6 10C6 8.1144 6 7.1716 6.58579 6.58579C7.1716 6 8.1144 6 10 6H10.6667C12.5523 6 13.4951 6 14.0809 6.58579C14.6667 7.1716 14.6667 8.1144 14.6667 10V10.6667C14.6667 12.5523 14.6667 13.4951 14.0809 14.0809C13.4951 14.6667 12.5523 14.6667 10.6667 14.6667H10C8.1144 14.6667 7.1716 14.6667 6.58579 14.0809C6 13.4951 6 12.5523 6 10.6667V10Z" stroke="#191B1F" stroke-opacity="0.6" stroke-linecap="round" stroke-linejoin="round" />
                <path d="M11.3334 6.00016C11.3318 4.02877 11.302 3.00764 10.7282 2.30845C10.6174 2.17342 10.4936 2.04962 10.3586 1.9388C9.62096 1.3335 8.52516 1.3335 6.3335 1.3335C4.14184 1.3335 3.04602 1.3335 2.30845 1.9388C2.17342 2.04961 2.04962 2.17342 1.9388 2.30845C1.3335 3.04602 1.3335 4.14184 1.3335 6.3335C1.3335 8.52516 1.3335 9.62096 1.9388 10.3586C2.04961 10.4936 2.17342 10.6174 2.30845 10.7282C3.00764 11.302 4.02877 11.3318 6.00016 11.3334" stroke="#191B1F" stroke-opacity="0.6" stroke-linecap="round" stroke-linejoin="round" />
              </svg>
            </div>
            <p className="font-medium text-sm border-none" style={{
    color: el.color || "#1C1C1CCC"
  }}>
              {el.caption}
            </p>
          </div>)}
    </div>;
};

export const Table = ({data = []}) => <div className="text-sm font-mono">
    <div style={{
  gap: 10,
  display: "grid",
  padding: "5px 10px",
  backgroundColor: "#F7F9FB",
  color: "rgba(25,27,31,0.6)",
  gridTemplateColumns: "repeat(3, minmax(0, 1fr))"
}}>
      <span>name</span>
      <span>type</span>
      <span>Description</span>
    </div>
    {data?.map((item, idx) => <div key={idx} style={{
  gap: 10,
  display: "grid",
  padding: "8px 10px",
  color: "rgba(25,27,31,0.8)",
  gridTemplateColumns: "repeat(3, minmax(0, 1fr))"
}}>
        <span className="break-words">{item.name}</span>
        <span>{item.type}</span>
        <span>{item.desc}</span>
      </div>)}
  </div>;

export const NoteStatement = ({label, message}) => <div className="relative text-sm" style={{
  borderRadius: 16,
  padding: "1px 20px",
  backgroundColor: "rgba(252,155,28,.06)"
}}>
    <p style={{
  marginBlock: 0
}}>
      {label && <span>
          <span className="font-bold" style={{
  color: "#fc9b1c"
}}>
            {label || "PS"}
          </span>
          {message && `: `}
        </span>}
      {message}
    </p>
    <div className="absolute left-0 top-1/2 -translate-y-1/2 rounded-e-full" style={{
  width: 2,
  height: 35,
  backgroundColor: "#fc9b1c"
}} />
  </div>;

####

<EcosystemURLBlock
  content={[
{
  title: "URL",
  caption: "https://test-api.bvndle.com/api/v1/laas/leaderboard/new",
  color: "#6B3B90",
},
{
  title: "Base URL",
  caption: "https://test-api.bvndle.com/api/v1/laas",
  color: "#6B3B90",
},
{
  title: "HTTP Method",
  caption: "GET",
},
{
  title: "Authorization Header",
  caption: "Bearer ACCESS_TOKEN",
},
]}
/>

###

<NoteStatement label="Query Parameter" />

<Table
  data={[
{
  name: "partnerId",
  type: "string",
  desc: (
    <>
      Required <br />
      ID of the partner
    </>
  ),
},
{
  name: "page",
  type: "number",
  desc: (
    <>
      Optional <br />
    </>
  ),
},
{
  name: "take",
  type: "number",
  desc: (
    <>
      Optional <br />
    </>
  ),
},
{
  name: "startDate",
  type: "date",
  desc: (
    <>
      Optional <br />
    </>
  ),
},
{
  name: "endDate",
  type: "date",
  desc: (
    <>
      Optional <br />
    </>
  ),
},
{
  name: "userId",
  type: "string",
  desc: (
    <>
      Optional <br />
      ID of the onboarded user <br />
      PS: Add userId if you want the position of the user with the ID to be
      returned
    </>
  ),
},
]}
/>

###

```bash cURL theme={null}
curl --request GET
'https://test-api.bvndle.com/api/v1/laas/leaderboard/new?page=1&take=20&partnerId=0463c990-3b8b-4cb4-b0bc-b08aa0d88d93&userId=02731314-e354-418a-8c7f-6f4b3a1ead6d' \
--header 'Content-Type: application/json' \

```

####

<ResponseExample>
  ```json Success theme={null}
  {
    "status": "success",
    "message": "leaderboard returned",
    "data": {
      "userPosition": {
        "userId": "02731314-e354-418a-8c7f-6f4b3a1ead6d",
        "amount": 2,
        "position": 1
      },
      "data": [
        {
          "id": "53f96a11-5cc4-4948-985b-a2f88d04a214",
          "points": 2,
          "createdAt": "2025-08-11T17:41:26.487Z",
          "updatedAt": "2025-08-13T22:30:38.936Z",
          "user": {
            "id": "4d86fdff-f3f6-4792-8c81-ef44feac1ba7",
            "userId": "02731314-e354-418a-8c7f-6f4b3a1ead6d",
            "userData": null,
            "createdAt": "2025-03-25T21:11:38.149Z",
            "updatedAt": "2025-08-13T23:24:56.492Z"
          }
        }
      ],
      "count": 1,
      "currentpage": 1,
      "nextpage": null,
      "prevpage": null,
      "lastpage": 1
    }
  }
  ```
</ResponseExample>
